# Functor Builder.I

    module I: functor (G : Sig.I) -> S  with module G = G

Imperative Graphs Builders.

Parameters:

`G` | : | `Sig.I`

    module G: Sig.G

    val empty : unit -> G.t

    val copy : G.t -> G.t

    val add_vertex : G.t -> G.V.t -> G.t

    val add_edge : G.t -> G.V.t -> G.V.t -> G.t

    val add_edge_e : G.t -> G.E.t -> G.t

    val remove_vertex : G.t -> G.V.t -> G.t

    val remove_edge : G.t -> G.V.t -> G.V.t -> G.t

    val remove_edge_e : G.t -> G.E.t -> G.t